Spaces method and path for this operation:
get /s/{space_id}/api/synthetics/monitors/{id}
Refer to Spaces for more information.
Get a monitor by its config ID.
You must have read privileges for the Synthetics feature in the Observability section of the Kibana feature privileges.
[Required authorization] Route required privileges: uptime-read.
GET
/api/synthetics/monitors/{id}
curl
curl \
-X GET "${KIBANA_URL}/api/synthetics/monitors/monitor-id" \
-H "Authorization: ApiKey ${API_KEY}"
GET kbn://api/synthetics/monitors/monitor-id
Response examples (200)
A successful response from `GET /api/synthetics/monitors/<id>`.
{
"__ui": {
"is_tls_enabled": false
},
"alert": {
"status": {
"enabled": true
},
"tls": {
"enabled": true
}
},
"check.request.method": "GET",
"config_id": "a8188705-d01e-4bb6-87a1-64fa5e4b07ec",
"created_at": "2023-11-08T08:45:29.334Z",
"enabled": true,
"id": "a8188705-d01e-4bb6-87a1-64fa5e4b07ec",
"ipv4": true,
"ipv6": true,
"locations": [
{
"geo": {
"lat": 41.25,
"lon": -95.86
},
"id": "us_central",
"isServiceManaged": true,
"label": "North America - US Central"
}
],
"max_attempts": 2,
"max_redirects": "0",
"mode": "any",
"name": "am i something",
"namespace": "default",
"origin": "ui",
"response.include_body": "on_error",
"response.include_body_max_bytes": "1024",
"response.include_headers": true,
"revision": 13,
"schedule": {
"number": "3",
"unit": "m"
},
"ssl.supported_protocols": [
"TLSv1.1",
"TLSv1.2",
"TLSv1.3"
],
"ssl.verification_mode": "full",
"timeout": "16",
"type": "http",
"updated_at": "2023-12-18T20:31:44.770Z",
"url": "https://fast.com"
}